View Issue Details

IDProjectCategoryView StatusLast Update
0003874mantisbtbugtrackerpublic2015-09-06 17:37
ReporterMitchCAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0003874: default view state for projects
Description

similar to 0003302 for bugs, make projects have a globally definable view state.

Additional Information

All our projects are private - setting the default would be less... errr... error prone
thanks!

Tagsmantishub

Relationships

related to 0010411 assignedvboctor Changes to project_view_state and view_state to create only private projects 
has duplicate 0017400 closedatrol New Projects default to private view status 

Activities

IT

IT

2014-06-02 06:15

reporter   ~0040716

Sorry for the duplicate, but considering this was originally submitted 10 years ago is there any ETA?

atrol

atrol

2014-06-02 06:17

developer   ~0040717

IT, patches are welcome. It all depends on priority and a developer or community member deciding to spend their time on a specific issue.

Submitting a patch is always a good idea, as it increases the chances of improvement eventually making it into MantisBT core. All contributions are welcome and greatly appreciated.

Patch submissions can be made in several ways. In the order of preference:

  1. Send us a Pull Request on our Github repository [1]
  2. Attach a GIT patch to the issue
  3. Attach a Unified Diff, clearly specifying the patch's base release

Kindly avoid to upload entire modified PHP files.

Please make sure that your submissions adhere to our Coding Guidelines [2], if they don't your patch might be rejected.

[1] https://github.com/mantisbt/mantisbt
[2] http://www.mantisbt.org/wiki/doku.php/mantisbt:coding_guidelines

dregad

dregad

2014-06-02 10:20

developer   ~0040719

As a workaround, edit the source as follows

diff --git a/manage_proj_create_page.php b/manage_proj_create_page.php
index 4facbb0..681e2f3 100644
--- a/manage_proj_create_page.php
+++ b/manage_proj_create_page.php
@@ -112,7 +112,7 @@
    </td>
    <td>
        <select name="view_state">
-           <?php print_enum_string_option_list( 'view_state' ) ?>
+           <?php print_enum_string_option_list( 'view_state', VS_PRIVATE ) ?>
        </select>
    </td>
 </tr>
IT

IT

2014-06-02 11:59

reporter   ~0040720

Thanks for the attention guys, certainly nice to have replies from two of the mantis 'chieftains'.

@Atrol, whilst I have a long and pleasant history using mantisBT and would love to contribute to this brilliant software, my PHP skill is extremely novice...trust me you wouldn't want a patch from me! ;)

@Dregad, that worked perfectly, thank you. I'm pleased to see that the change also effects new subproject creation.

+1 e-beer to both of you.

vboctor

vboctor

2015-03-10 10:52

manager   ~0049159

Pull Request:
https://github.com/mantisbt/mantisbt/pull/588

Related Changesets

MantisBT: master 131e51da

2015-03-10 10:51:02

vboctor

Details Diff
Add default project view status config

Fixes 0003874
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/defaults.xml Diff File
mod - manage_proj_create_page.php Diff File

Issue History

Date Modified Username Field Change
2004-05-25 18:27 MitchC New Issue
2008-03-16 04:29 vboctor Status new => acknowledged
2014-06-02 06:06 atrol Relationship added has duplicate 0017400
2014-06-02 06:13 atrol Relationship added related to 0010411
2014-06-02 06:15 IT Note Added: 0040716
2014-06-02 06:17 atrol Note Added: 0040717
2014-06-02 10:20 dregad Note Added: 0040719
2014-06-02 11:59 IT Note Added: 0040720
2015-03-02 08:03 vitsaadmin Issue cloned: 0019417
2015-03-10 10:52 vboctor Assigned To => vboctor
2015-03-10 10:52 vboctor Status acknowledged => assigned
2015-03-10 10:52 vboctor Note Added: 0049159
2015-03-28 01:47 vboctor Changeset attached => MantisBT master 131e51da
2015-03-28 01:47 vboctor Status assigned => resolved
2015-03-28 01:47 vboctor Resolution open => fixed
2015-03-28 01:47 vboctor Fixed in Version => 1.3.0-beta.3
2015-04-02 05:58 atrol Target Version => 1.3.0-beta.3
2015-04-28 03:33 vboctor Tag Attached: mantishub
2015-09-06 17:37 vboctoradmin Status resolved => closed